Skip to content

GET Override.

GET
/api/ml/data/namespaces/{namespace}/app_types/{app_type_name}/overrides
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/app_types/example/overrides \
--header 'Authorization: <Authorization>'

GET all override for API endpoints configured for this App type.

Examples of this operation.

namespace
required
string

Namespace Namespace of the App type for current request.

app_type_name
required
string

App Type App Type for current request.

A successful response.

Media typeapplication/json
Get API endpoint override response

Shape of response to GET override for API endpoints.

object
override_list
List of override

List of all override applied to API endpoints of requested App Type.

Array<object>
Override automatic collapse

Rule to override a given automatic dynamic identifier used to expand or collapse API URL.

object
component_identifier
Override component identifier

Configuration parameter for component identifier

string
<= 1024 characters
set_dynamic
Override Value

Enable or Disable component to be considered as dynamic to collapse or expand API URL.

boolean format: boolean
Examplegenerated
{
"override_list": [
{
"component_identifier": "example",
"set_dynamic": true
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example